<!DOCTYPE html>
<html lang="en">

<head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Разработка пользовательского WEB интерфейса</title>
        <link rel="stylesheet" href="style.css">
        <script defer src="script.js"></script>
</head>

<body>
        <header>
                <div>
                        <img id="logo" src="https://i.imgur.com/yRbTL0z.jpg" alt="Логотип">
                        <H1> Разработка пользовательского WEB интерфейса </H1>
                </div>
        </header>
        <main>
                <map name="planets">
                        <area shape="rect" coords="0,0,100,360" href="https://ru.wikipedia.org/wiki/Солнце"
                                target="_blank" alt="Солнце">
                        <area shape="circle" coords="128,178,7" href="https://ru.wikipedia.org/wiki/Меркурий"
                                target="_blank" alt="Меркурий">
                        <area shape="circle" coords="168,178,12" href="https://ru.wikipedia.org/wiki/Венера"
                                target="_blank" alt="Венера">
                        <area shape="circle" coords="216,178,12" href="https://ru.wikipedia.org/wiki/Земля"
                                target="_blank" alt="Земля">
                        <area shape="circle" coords="234,165,5" href="https://ru.wikipedia.org/wiki/Луна"
                                target="_blank" alt="Луна">
                        <area shape="circle" coords="252,178,6" href="https://ru.wikipedia.org/wiki/Марс"
                                target="_blank" alt="Марс">
                        <area shape="circle" coords="295,178,27" href="https://ru.wikipedia.org/wiki/Юпитер"
                                target="_blank" alt="Юпитер">
                        <area shape="circle" coords="352,178,16" href="https://ru.wikipedia.org/wiki/Сатурн"
                                target="_blank" alt="Сатурн">
                        <area shape="circle" coords="395,178,11" href="https://ru.wikipedia.org/wiki/Уран"
                                target="_blank" alt="Уран">
                        <area shape="circle" coords="425,178,11" href="https://ru.wikipedia.org/wiki/Нептун"
                                target="_blank" alt="Нептун">
                        <area shape="circle" coords="448,178,5" href="https://ru.wikipedia.org/wiki/Плутон"
                                target="_blank" alt="Плутон">
                </map>

                <nav id="menu">
                        <a href="">First link</a>
                        <a href="">Second link</a>
                        <a href="">Third link</a>
                </nav>

                <div id="list">
                        <ol>
                                <li><a href="http://example.com/" target="_blank">Абсолютная гиперссылка на главную
                                                страницу
                                                сайта
                                                example.com;</a></li>
                                <li><a href="https://example.com/" target="_blank">Абсолютная гиперрсылка на главнуйю
                                                страницу
                                                сайта
                                                example.com в протоколе htpps;</a></li>
                                <li><a href="ftp://zloyuser.zapto.org/Book/Большой%20сборник%20компьютерных%20самоучителей%202/HTML%20Популярный%20самоучитель%20Александр%20Чиртик.pdf"
                                                target="_blank">Ссылка на популярный самоучитель по HTML от смешного
                                                дяди;</a>
                                </li>
                                <li><a href="ftp://softovichek.ru/" target="_blank">Ссылка на файл на FTP сервере с
                                                авторизацией;</a>
                                </li>
                                <li><a href="https://dtf.ru/flood/187827-python-napishem-morskoy-boy-s-dostoynym-sopernikom-ii#page_wrapper"
                                                target="_blank">Ссылка
                                                на фрагмент некоторой страницы;</a>
                                </li>
                                <li><a href="http://127.0.0.1:5500/index.html#Picture">Ссылка на фрагмент данной
                                                страницы;</a>
                                </li>
                                <li><a href="https://store.steampowered.com/search?term=indi&sort_by=Price_ASC"
                                                target="_blank">Ссылка с
                                                двумя
                                                параметрами в URL;</a></li>
                                <li>Навигация по сайту DTF.ru
                                        <ul>
                                                <li><a href="https://dtf.ru" title="Лента" target="_blank">Лента;</a>
                                                </li>
                                                <li><a href="https://dtf.ru/m" title="Сообщения"
                                                                target="_blank">Сообщения;</a>
                                                </li>
                                                <li><a href="https://dtf.ru/job" title="Вакансии"
                                                                target="_blank">Вакансии;</a>
                                                </li>
                                                <li><a href=" https://dtf.ru/rating" title="Рейтинг"
                                                                target="_blank">Рейтинг;</a></li>
                                        </ul>
                                </li>
                                <li><a> Ссылка без ссылки; </a></li>
                                <li><a href="">Ссылка с пустой ссылкой;</a></li>
                                <li><a href="https://store.steampowered.com/" target="_blank" rel="nofollow">Ссылка, по
                                                которой
                                                запрещён
                                                переход поисковикам;</a></li>
                                <li><a href="https://store.steampowered.com/" target="_blank">
                                                <!--noindex--> Ссылка, которая не будет проиндексирована;
                                                <!--noindex-->
                                        </a></li>
                                <li>
                                        <a href=" https://ru.wikipedia.org/wiki/Boston_Dynamics" target="_blank">Boston
                                                Dynamics</a>
                                        — инженерная компания, специализирующаяся в <a
                                                href="https://ru.wikipedia.org/wiki/Робототехника"
                                                target="_blank">робототехнике</a>.
                                        Президентом компании является <a
                                                href="https://ru.wikipedia.org/wiki/Рэйберт,_Марк" target="_blank">Марк
                                                Райберт</a>, который создал её в 1992 году на основе группы
                                        инженеров
                                        Массачусетского технологического института;
                                </li>
                                <li><a href="https://dtf.ru/flood/187827-python-napishem-morskoy-boy-s-dostoynym-sopernikom-ii#page_wrapper"
                                                target="_blank"><img class="inMainPictures"
                                                        src="https://leonardo.osnova.io/563e1d33-91fd-d57a-62e7-f89b3aa43787/-/resize/600/"
                                                        alt="Boston Dynamics"></a></li>
                                <li><img class="inMainPictures"
                                                src="https://avatars.mds.yandex.net/get-pdb/1589716/821719ff-8222-4a95-87ed-8c4fe2cf37bc/s1200?webp=false"
                                                usemap="#planets" alt="planets"></li>
                                <li><a href="./file.html" target="_blank">Ссылка на страницу в текущем каталоге;</a>
                                </li>
                                <li><a href="./about/file.html" target="_blank">Ссылка на страницу в каталоге about;</a>
                                </li>
                                <li><a href="../file.html" target="_blank">Ссылка на страницу в каталоге уровнем
                                                выше;</a></li>
                                <li><a href="../../file.html" target="_blank">Ссылка на страницу в каталоге двумя
                                                уровнями
                                                выше;</a>
                                </li>
                                <li><a href="/">Сокращённая ссылка на главную;</a></li>
                                <li style="margin-bottom: 0"><a href="link">Сокращённая ссылка на внутреннюю;</a></li>
                        </ol>
                </div>
                <div id="table">
                        <h1 style="text-align: center;">Таблица</h1>
                        <table>
                                <thead>
                                        <tr class="odd">
                                                <th>Заголовок1</th>
                                                <th>Заголовок2</th>
                                                <th>Заголовок3</th>
                                        </tr>
                                </thead>
                                <tbody>
                                        <tr class="even">
                                                <td>1-1</td>
                                                <td>1-2</td>
                                                <td>1-3</td>
                                        </tr>
                                        <tr class="odd">
                                                <td>2-1</td>
                                                <td rowspan="3">2-2</td>
                                                <td>2-3</td>
                                        </tr>
                                        <tr class="even">
                                                <td>3-1</td>
                                                <td>3-3</td>
                                        </tr>
                                        <tr class="odd">
                                                <td>4-1</td>
                                                <td>4-3</td>
                                        </tr>
                                        <tr class="even">
                                                <td colspan="3">5</td>
                                        </tr>
                                </tbody>
                        </table>
                </div>

                <div id="form">
                        <br>
                        <h1 style="text-align: center;">Форма</h1>
                        <br>
                        <form name="form" method="POST" action="textFile.txt">
                                <p><label>
                                                Имя:
                                                <br>
                                                <input class="input" type="text" name="text"
                                                        placeholder="Введите ваше имя">
                                        </label></p>
                                <p><label>
                                                e-mail:
                                                <br>
                                                <input class="input" type="email" name="e-mail"
                                                        placeholder="Введите ваш e-mail">
                                        </label></p>
                                <p><label>
                                                Дата рождения: <br>
                                                <input class="input" type="date" name="date" value="2001-04-15">
                                        </label></p>
                                <p style="margin-bottom: 0;">Пол: </p>
                                <label><input type="radio" name="gender" value="male">Мужской </label>
                                <label><input type="radio" name="gender" value="female"> Женский</label>

                                <p style="margin-top: 10px;"> Количество конечностей: <br>
                                        <label><input type="radio" name="counter" value="0">0 </label>
                                        <label><input type="radio" name="counter" value="1">1 </label>
                                        <label><input type="radio" name="counter" value="2">2 </label>
                                        <label><input type="radio" name="counter" value="3">3 </label>
                                        <label><input type="radio" name="counter" value="4">4 </label>
                                </p>
                                <p><label>
                                                Суперспособности: <br>
                                                <select name="Powers" size="3" multiple>
                                                        <option>Бессмертие</option>
                                                        <option>Прохождение сквозь стены</option>
                                                        <option>Левитация</option>
                                                </select>
                                        </label></p>
                                <p><label>
                                                Биография: <br>
                                                <textarea name="About"
                                                        placeholder="Расскажите нам о себе, мы никому не расскажем"></textarea>
                                        </label></p>
                                <p style="margin-bottom: 0;"><label>
                                                С контрактом ознакомлен <input type="checkbox" name="check">
                                        </label></p>
                                <label>
                                        <input type="submit" name="sumbit" value="Отправить">
                                </label>


                        </form>
                </div>
                <div id="calculator">
                        <h1>Количество товара:</h1>
                        <label>
                                <br>
                                <input id="quantity" type="text" name="Quantity"
                                        placeholder="Введите количество товаров">
                        </label>
                        <br>
                        <div id="result">Выберите тип товара</div>
                        <h3>Тип товара:</h3>
                        <form>
                                <select style=" margin-bottom:10px;height: 25px; width: 300px; font-size: 20px;"
                                        id="type">
                                        <option value="1">Первый тип</option>
                                        <option value="2">Второй тип</option>
                                        <option value="3">Третий тип</option>
                                </select>
                                <div id="options">
                                        <label><input style="height: 30px; width: 30px;" type="radio" name="options"
                                                        value="option1">1</label>
                                        <label><input style="height: 30px; width: 30px;" type="radio" name="options"
                                                        value="option2">2</label>
                                        <label><input style="height: 30px; width: 30px;" type="radio" name="options"
                                                        value="option3">3</label>
                                </div>
                                <div id="checkboxes">
                                        <label><input style="height: 30px; width: 30px;" type="checkbox"
                                                        name="prop1">1</label>
                                        <label><input style="height: 30px; width: 30px;" type="checkbox"
                                                        name="prop2">2</label>
                                </div>
                        </form>
                </div>
        </main>
        <footer style="padding-top: 22px">© Алексей Гудошников 2020</footer>


</body>

</html>